# -------------------------------------------------
#
# This file is part of the CircAdapt package
#
# Copyright (C) 2012 - 2014 StITPro (www.stitpro.nl)
#
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Project:              CircAdapt
# Creation date:        2012-11-06
# Qt version:           4.8.x
# Compiler:             QMake, MinGW, gcc 4.4.0
# Tatrget platforms:    WIndows, Mac OS-X
#
#
# Subversion info:
#
# $Id: CircAdapt.pro 1228 2014-06-02 17:32:21Z eelco $
#
# -------------------------------------------------

# CONFIG += PREBUILD

# Version information
# Don't use VER_MAJ, VER_MIN, VER_PAT or VERSION. If you use these Qt macros the name of the resulting DLL
# will be automatically tailord with the major version number
CIRCADAPT_VER_MAJ  = 1
CIRCADAPT_VER_MIN  = 1
CIRCADAPT_VER_PAT  = 0
CIRCADAPT_VER_BLD  = 0
CONFIG(PREBUILD) {
    CIRCADAPT_VERSION  = $$quote( $${CIRCADAPT_VER_MAJ}.$${CIRCADAPT_VER_MIN}.$${CIRCADAPT_VER_PAT}-pre )
} else {
    CIRCADAPT_VERSION  = $$quote( $${CIRCADAPT_VER_MAJ}.$${CIRCADAPT_VER_MIN}.$${CIRCADAPT_VER_PAT} )
}
CIRCADAPT_YEAR_LOW = 2012
CIRCADAPT_YEAR_HIGH= 2014
# Each double '\\' is needed because this define is handled by different interpreters and preprocessors that snoop the '\\' away
DEFINES         += CIRCADAPT_VERSION_VAL=$$quote( $${CIRCADAPT_VERSION} )
DEFINES         += CIRCADAPT_VERSION_STR=$$quote( \\\"$${CIRCADAPT_VERSION}\\\" )
# Each double '\\' is needed because this define is handled by different interpreters and preprocessors that snoop the '\\' away
# win32:DEFINES += CIRCADAPT_WVERSION_RC=\\\"$${CIRCADAPT_VER_MAJ},$${CIRCADAPT_VER_MIN},$${CIRCADAPT_VER_PAT},0\\\"
win32 {
    win32-msvc* {
        DEFINES += CIRCADAPT_VERSION_RC=$$quote( \\\"$${CIRCADAPT_VERSION}\\\" )
    } else {
        DEFINES += CIRCADAPT_VERSION_RC=$$quote( \\\\\\\"$${CIRCADAPT_VERSION}\\\\\\\" )
    }
}
win32:DEFINES += CIRCADAPT_YEAR_LOW_RC=$${CIRCADAPT_YEAR_LOW}
win32:DEFINES += CIRCADAPT_YEAR_HIGH_RC=$${CIRCADAPT_YEAR_HIGH}
win32:DEFINES += CIRCADAPT_VER_MAJ_RC=$${CIRCADAPT_VER_MAJ}
win32:DEFINES += CIRCADAPT_VER_MIN_RC=$${CIRCADAPT_VER_MIN}
win32:DEFINES += CIRCADAPT_VER_PAT_RC=$${CIRCADAPT_VER_PAT}
win32:DEFINES += CIRCADAPT_VER_BLD_RC=$${CIRCADAPT_VER_BLD}
# The next define can be used to build a prerelease of the executable. An extra flag will be set in the resource file
CONFIG(PREBUILD) {
    win32:DEFINES += CIRCADAPT_PRERELEASE
}

QT       += core gui
QT       += xml
QT       += opengl

TARGET = CircAdapt

TEMPLATE = app

CONFIG += PS_USE_SIGNAL_WIDGETS

# Try to get the path to the PeacsSupport classes from the system environment
exists( $$(PEACS_SUPPORT_PATH)/PeacsSupport.pri ) {
    !include( $$(PEACS_SUPPORT_PATH)/PeacsSupport.pri ) : message( "No support classes foud (1)" )
} else {
    exists( ./PeacsSupport/PeacsSupport.pri ) {
        !include( ./PeacsSupport/PeacsSupport.pri ) : message( "No support classes foud (2)" )
    } else {
        !include( PeacsSupport.pri ) : message( "No support classes foud (3)" )
    }
}

INCLUDEPATH +=  \
	./CircAdaptMain \
        ./Circulation \
        ./file \
        ./transfer \
        ./user \
        ./dataViews



win32:RC_FILE += Resources/pcircadapt.rc
win32:OTHER_FILES += Resources/pcircadapt.rc
win32-msvc* {
    win32:DEFINES += _USE_MATH_DEFINES
}

# Set linker flag to generate a map file for the release version so crashes can be traced back to a function.
win32 {
    QMAKE_LFLAGS_RELEASE += -Wl,-Map,$$quote(\"$(DESTDIR)PCircAdapt.map\")
} else {
    QMAKE_LFLAGS_RELEASE += -Wl,-map,$$quote(\"$(DESTDIR)PCircAdapt.map\")
}
# QMAKE_CLEAN += $$quote(\"$(DESTDIR)PCircAdapt.map\")  // Does not work due to a extra space in the path of DESTDIR



macx {
    OBJECTS_DIR = ./obj
    DESTDIR = ./out
    MOC_DIR = ./moc

    release_build = no
    CONFIG(release, debug|release) : release_build = yes

    OTHER_FILES += ./osx/Info_mac.plist
    OTHER_FILES += ./osx/icns_mac

    ICON = ./Resources/icons/circadapt.icns
    QMAKE_INFO_PLIST = ./osx/Info_mac.plist
    QMAKE_POST_LINK = make \
        MAC_APP_VERSION=$${CIRCADAPT_VERSION} \
        DESTINDIR=$${DESTDIR} \
        APP=$${TARGET}.app \
        YEAR_LOW=$${CIRCADAPT_YEAR_LOW} \
        YEAR_HIGH=$${CIRCADAPT_YEAR_HIGH} \
        PROJPATH=$${PWD} \
        INSTALLERPATH=$$quote( \"$${PWD}/Installer/out/\" ) \
        RELEASEBUILD=$$release_build \
#        -s \
#        -d \
        -f \
        $$quote(\"$${PWD}/osx/icns_mac\")
}


# Prevent debug output in a release version
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG

# The next options are only for special occasions
#
# This flags can be used to maximize checking for warnings
#QMAKE_CFLAGS_RELEASE    -= -O2
#QMAKE_CFLAGS_RELEASE    += -W -Wextra -O4 #-Weffc++ -Wold-style-cast -Wsign-promo #-Werror
#QMAKE_CXXFLAGS_RELEASE  -= -O2
#QMAKE_CXXFLAGS_RELEASE  += -W -Wextra -O4 #-Weffc++ -Wold-style-cast -Wsign-promo #-Werror
#
# Add symbol generation to the release so errors can be checked better in te release version (can also prevent crashes from happening!)
#QMAKE_CFLAGS_RELEASE    += -g
#QMAKE_CXXFLAGS_RELEASE  += -g
#QMAKE_LFLAGS_RELEASE -= -Wl,-s
#
# Add gprof readable profile information generation code to the exectuable
#QMAKE_CFLAGS_DEBUG      += -pg
#QMAKE_CXXFLAGS_DEBUG    += -pg
#QMAKE_LFLAGS_DEBUG      += -pg
## QMAKE_CFLAGS_DEBUG      = -pg
## QMAKE_CXXFLAGS_DEBUG    = -pg -fexceptions -mthreads



HEADERS += \
    Circulation/circelement.h \
    Circulation/defs.h \
    Circulation/valve.h \
    Circulation/tube.h \
    Circulation/sack.h \
    Circulation/resistance.h \
    Circulation/compliance.h \
    Circulation/chamber.h \
    Circulation/patch.h \
    Circulation/sarcomere.h \
    Circulation/flowduct.h \
    Circulation/atria.h \
    Circulation/ventricle.h \
    Circulation/defs.h \
    Circulation/circulation.h \
    Circulation/circsettings.h \
    CircAdaptMain/PCircAdaptOptionsDialog.h \
    CircAdaptMain/PCircAdaptMainwindow.h \
    CircAdaptMain/PCircAdaptDefines.h \
    CircAdaptMain/pCircAdaptAboutdialog.h \
    CircAdaptMain/pcircadapt.h \
    Circulation/heart.h \
    dataViews/pvalueview.h \
    dataViews/psystemview.h \
    dataViews/psignalview.h \
    dataViews/pparamview.h \
    Circulation/msimulatecirculation.h \
    dataViews/pcircsignal.h \
    transfer/tventricle.h \
    transfer/tvalve.h \
    transfer/ttube.h \
    transfer/tsarcomere.h \
    transfer/tsack.h \
    transfer/tresistance.h \
    transfer/tpatch.h \
    transfer/theart.h \
    transfer/tflowduct.h \
    transfer/tcompliance.h \
    transfer/tcirculation.h \
    transfer/tcircelement.h \
    transfer/tchamber.h \
    transfer/tatria.h \
    user/utube.h \
    user/uresistance.h \
    user/uheart.h \
    user/ucirculation.h \
    user/ucircadaptsignal.h \
    user/uventricle.h \
    user/uvalve.h \
    user/uatria.h \
    user/usarcomere.h \
    user/usack.h \
    user/upatch.h \
    user/uflowduct.h \
    user/ucompliance.h \
    user/uchamber.h \
    user/ucircelement.h \
    dataViews/pcircpvloop.h \
    dataViews/ppvview.h \
    dataViews/PCircSignalDraw.h \
    dataViews/PPvScene.h \
    dataViews/PCircSignalScene.h

SOURCES += \
    Circulation/circelement.cpp \
    Circulation/valve.cpp \
    Circulation/tube.cpp \
    Circulation/sack.cpp \
    Circulation/resistance.cpp \
    Circulation/compliance.cpp \
    Circulation/sarcomere.cpp \
    Circulation/chamber.cpp \
    Circulation/patch.cpp \
    Circulation/flowduct.cpp \
    Circulation/atria.cpp \
    Circulation/ventricle.cpp \
    Circulation/heart.cpp \
    Circulation/circulation.cpp \
    transfer/tventricle.cpp \
    transfer/tvalve.cpp \
    transfer/ttube.cpp \
    transfer/tsarcomere.cpp \
    transfer/tsack.cpp \
    transfer/tresistance.cpp \
    transfer/tpatch.cpp \
    transfer/theart.cpp \
    transfer/tflowduct.cpp \
    transfer/tcompliance.cpp \
    transfer/tcirculation.cpp \
    transfer/tcircelement.cpp \
    transfer/tchamber.cpp \
    transfer/tatria.cpp \
    CircAdaptMain/PCircAdaptOptionsDialog.cpp \
    CircAdaptMain/PCircAdaptMainwindow.cpp \
    CircAdaptMain/PCircAdaptDefines.cpp \
    CircAdaptMain/pCircAdaptAboutdialog.cpp \
    CircAdaptMain/pcircadapt.cpp \
    CircAdaptMain/main.cpp \
    Circulation/msimulatecirculation.cpp \
    dataViews/pvalueview.cpp \
    dataViews/psystemview.cpp \
    dataViews/psignalview.cpp \
    dataViews/pparamview.cpp \
    dataViews/pcircsignal.cpp \    
    user/utube.cpp \
    user/uresistance.cpp \
    user/uheart.cpp \
    user/ucirculation.cpp \
    user/ucircadaptsignal.cpp \
    user/uvalve.cpp \
    user/uatria.cpp \
    user/uventricle.cpp \
    user/usarcomere.cpp \
    user/usack.cpp \
    user/upatch.cpp \
    user/uflowduct.cpp \
    user/ucompliance.cpp \
    user/uchamber.cpp \
    user/ucircelement.cpp \
    dataViews/pcircpvloop.cpp \
    dataViews/ppvview.cpp \
    dataViews/PCircSignalDraw.cpp \
    dataViews/PPvScene.cpp \
    dataViews/PCircSignalScene.cpp


FORMS += \
    CircAdaptMain/PCircAdaptOptionsDialog.ui \
    CircAdaptMain/PCircAdaptMainwindow.ui \
    CircAdaptMain/pCircAdaptAboutdialog.ui \
    dataViews/PParamView.ui \
    dataViews/PValueView.ui


RESOURCES += \
    Resources/pcircadapt.qrc

OTHER_FILES += ./readme.txt
