/*
 *  This file is part of the CircAdapt package (see http:/www.circadapt.org)
 *
 *  Copyright (C) 2012 Peacs (www.peacs.nl)
 *
 *  CircAdapt is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  CircAdapt is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CircAdapt.  If not, see <http://www.gnu.org/licenses/>.
 *
 *    Project:              CircAdapt
 *    Compiler:             MinGW, gcc
 *    Tatrget platforms:    WIndows, Mac OS-X
 *
 *
 *    Subversion info:
 *
 *    $Id: pCircAdaptAboutdialog.h 776 2013-07-11 20:33:36Z eelco $
 *
 */
#ifndef __PCIRCADAPTABOUTDIALOG_H
#define __PCIRCADAPTABOUTDIALOG_H

#include "ui_pCircAdaptAboutdialog.h"

namespace Peacs
{
    namespace CircAdapt
    {

        class PCircAdaptAboutDialog : public QDialog
        {
            Q_OBJECT

        public:
            PCircAdaptAboutDialog(QWidget *parent = 0);
            virtual ~PCircAdaptAboutDialog();

        protected:
            void changeEvent(QEvent *e);

        private:

            class PLabelLinkCatcher : public QObject
            {
            public:
                PLabelLinkCatcher( QObject * parent = 0 ) : QObject( parent ) {};

            protected:
                bool eventFilter(QObject *obj, QEvent *event);
            };

            Ui::PCircAdaptAboutDialog        ui;

            PLabelLinkCatcher*      mLabelLinkCatcherPtr;
        };
    }
}

#endif // __PCIRCADAPTABOUTDIALOG_H
