/*
 *  This file is part of the CircAdapt package (see http:/www.circadapt.org)
 *
 *  Copyright (C) 2012 Peacs (www.peacs.nl)
 *
 *  CircAdapt is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  CircAdapt is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CircAdapt.  If not, see <http://www.gnu.org/licenses/>.
 *
 *    Project:              CircAdapt
 *    Compiler:             MinGW, gcc
 *    Tatrget platforms:    WIndows, Mac OS-X
 *
 *
 *    Subversion info:
 *
 *    $Id: defs.h 776 2013-07-11 20:33:36Z eelco $
 *
 */

#ifndef _DEFINITIONS_
#define _DEFINITIONS_

#include "math.h"


// Double inline function to compute sign
inline double sign (double a) { return a > 0 ? 1.0 : a < 0 ? -1.0 : 0.0; }

// Double inline function to compute median value from three values
inline double median (double a, double b, double c)
{
	if ((b <= a && a <= c) || (c <= a && a <= b)) { return a; }
	else if ((a <= b && b <= c) || (c <= b && b <= a)) { return b; }
	else { return c; }
}


#endif
