#-------------------------------------------------
#
# This file is part of the Peacs support package
#
# Copyright (C) 2010 - 2012 Peacs (www.peacs.nl)
#
# The Peacs Support package is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The Peacs support classes are distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the Peacs support package.  If not, see
# <http://www.gnu.org/licenses/>.
#
# Project:             PeacsSupport
# Qt version:          4.7.x
# Compiler:            MinGW, gcc 4.4.0
# Target platforms:    Windows, Mac OS-X
#
# This is part of the applications project configuration. It contains all
# version information about this project
#
# Subversion info:
#
# $Id: PeacsSupportVersion.pri 955 2013-12-10 09:36:43Z eelco $
#
#-------------------------------------------------



# Version information
# Don't use VER_MAJ, VER_MIN, VER_PAT or VERSION. If you use these Qt macros the name of the resulting DLL
# will be automatically tailord with the major version number
SUPPORT_VER_MAJ = 1
SUPPORT_VER_MIN = 1
SUPPORT_VER_PAT = 2
SUPPORT_VER_BLD = 0
SUPPORT_YEAR_LOW = 2013
#SUPPORT_YEAR_HIGH = 2013

CONFIG(PREBUILD) {
    SUPPORT_VERSION = $$quote( $${SUPPORT_VER_MAJ}.$${SUPPORT_VER_MIN}.$${SUPPORT_VER_PAT}-pre )
} else {
    SUPPORT_VERSION = $$quote( $${SUPPORT_VER_MAJ}.$${SUPPORT_VER_MIN}.$${SUPPORT_VER_PAT} )
}
# Each double '\\' is needed because this define is handled by different interpreters and preprocessors that snoop the '\\' away
DEFINES         += SUPPORT_VERSION=$${SUPPORT_VERSION}
DEFINES         += SUPPORT_VERSION_STR=\\\"$${SUPPORT_VERSION}\\\"
