/*
 *  This file is part of the Peacs support package
 *
 *  Copyright (C) 2010 - 2012 Peacs (www.peacs.nl)
 *
 *  The Peacs Support package is free software: you can redistribute it
 *  and/or modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  The Peacs support classes are distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with the Peacs support package.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 *    Project:              Peacs Support
 *    Qt version:           4.7.x
 *    Compiler:             QMake, MinGW, gcc 4.4.0
 *    Target platforms:     Windows, Mac OS-X
 *
 *    Subversion info:
 *
 *    $Id: PeacsSupport_global.h 544 2012-11-11 13:05:19Z eelco $
 *
 */

#ifndef PEACSSUPPORT_GLOBAL_H
#define PEACSSUPPORT_GLOBAL_H

#include <QtCore/qglobal.h>

#if defined(PEACSSUPPORT_LIBRARY_STATIC)
#   define PEACSSUPPORTSHARED_EXPORT
#else
#   if defined(PEACSSUPPORT_LIBRARY)
#       define PEACSSUPPORTSHARED_EXPORT Q_DECL_EXPORT
#   else
#       define PEACSSUPPORTSHARED_EXPORT Q_DECL_IMPORT
#   endif
#endif

namespace Peacs
{
    namespace Support
    {
        /** @class PSupportInfo PeacsSupport_global.h "PeacsSupport_global.h"
          * @brief Used to retrieve version information about the support library
          */
        class PEACSSUPPORTSHARED_EXPORT PSupportInfo
        {
        public:

            /** @brief Default constructor
              */
            PSupportInfo();


            /** @brief Destructor
              */
            virtual ~PSupportInfo();


            /** @brief Returns the version information
              * This version information must be specified in the project file by including
              * the PeacsSupportVersion.pri file (default included by the PeacsSupport.pri
              * file)
              *
              * @return the version information in the form of a string
              */
            static const char* getSupportVersionStr( void );
        };
    }
}

#endif // PEACSSUPPORT_GLOBAL_H
