/*
 *  This file is part of the Peacs support package
 *
 *  Copyright (C) 2010 - 2012 Peacs (www.peacs.nl)
 *
 *  The Peacs Support package is free software: you can redistribute it
 *  and/or modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  The Peacs support classes are distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with the Peacs support package.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 *    Project:              Peacs Support
 *    Qt version:           4.7.x
 *    Compiler:             QMake, MinGW, gcc 4.4.0
 *    Target platforms:     Windows, Mac OS-X
 *
 *    Subversion info:
 *
 *    $Id: PWidgetDefines.h 902 2013-11-01 14:55:29Z eelco $
 *
 */


#ifndef __PWIDGETDEFINES_H__
#define __PWIDGETDEFINES_H__

#include <QColor>
#include <QFont>
#include <QPen>


namespace Peacs
{
    namespace Support
    {
        namespace Widget
        {

            /** @brief the type of grid as used in the ECGview and apview*/
            enum Grid_type
            {
                NO_GRID         = 0,
                SHOW_GRID       = 1,
                SHOW_FULL_GRID  = 2
            };

            // constants
            const int           NOTUSED     = -1;
            const double        NOTUSED_D   = -1.0;

            /* Font definitions */
            extern const char * FONTFAMILY;

            /* colors definitions */
            extern const QColor LINECOLOR;
            extern const QColor ZEROLINECOLOR;          // zeroline color
            extern const QColor ZEROLINECOLOR_PRINT;    // zeroline color used for printing
            extern const QColor DEFAULTGRAPHTEXTCOLOR;
            extern const QColor GRIDCOLOR_DEFAULT;      // the grid color
            extern const QColor GRIDCOLOR_PRINT;        // the grid color
        }
    }
}

#endif /* __PWIDGETDEFINES_H__ */


