/*
 *  This file is part of the Peacs support package
 *
 *  Copyright (C) 2010 - 2012 Peacs (www.peacs.nl)
 *
 *  The Peacs Support package is free software: you can redistribute it
 *  and/or modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  The Peacs support classes are distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with the Peacs support package.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 *    Project:              Peacs Support
 *    Qt version:           4.7.x
 *    Compiler:             QMake, MinGW, gcc 4.4.0
 *    Target platforms:     Windows, Mac OS-X
 *
 *    Subversion info:
 *
 *    $Id: PXYPlot.cpp 1157 2014-03-12 10:47:06Z eelco $
 *
 */


#include "PXYPlot.h"

//#include <QDebug>


using namespace Peacs::Support;


PXYPlot::PXYPlot( int column, int row ) :
    PSignalPlot( false, 0, 100, column, row )
{
}


PXYPlot::~PXYPlot()
{
}


void PXYPlot::init( void )
{
    PSignalPlot::init();
}


void PXYPlot::calcAmplitudeScale( bool up )
{
    // For this plot when x has changed y will be changed as well and vice versa
    PSignalPlotBase::calcAmplitudeScale( up );
    PSignalPlotBase::calcTimeScale( up );
}


void PXYPlot::calcTimeScale( bool up )
{
    // For this plot when x has changed y will be changed as well and vice versa
    PSignalPlotBase::calcAmplitudeScale( up );
    PSignalPlotBase::calcTimeScale( up );
}
