/*
 *  This file is part of the CircAdapt package (see http:/www.circadapt.org)
 *
 *  Copyright (C) 2012 Peacs (www.peacs.nl)
 *
 *  CircAdapt is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  CircAdapt is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CircAdapt.  If not, see <http://www.gnu.org/licenses/>.
 *
 *    Project:              CircAdapt
 *    Compiler:             MinGW, gcc
 *    Tatrget platforms:    WIndows, Mac OS-X
 *
 *
 *    Subversion info:
 *
 *    $Id$
 *
 */


//#include <QDebug>

#include "PPvScene.h"
#include "PSignalPlotBase.h"


using namespace Peacs::CircAdapt;
using namespace Peacs::Support;



PPvScene::PPvScene( int columns, int rows, QObject * parentPtr ) :
    PGraphMatrixScene( columns, rows, parentPtr )
{
}


void PPvScene::autoScale( void )
{
//qDebug() << "PPvScene::autoScales called";

    if ( !matrixItems().isEmpty() )
    {
        PSignalPlotBase *   pvplot = NULL;
        double              maxSigX;
        double              minSigX;
        double              maxSigY;
        double              minSigY;

        for (int i = 0; i < matrixItems().size(); ++i)
        {
            pvplot = dynamic_cast<PSignalPlotBase *>( matrixItems()[ i ] );

            if ( pvplot != NULL )
            {
                maxSigX = pvplot->getMaxXData();
                minSigX = pvplot->getMinXData();
                maxSigY = pvplot->getMaxYData();
                minSigY = pvplot->getMinYData();

                // Let the scale start at zero of not negative
                if ( 0.0 < minSigX )
                {
                    minSigX = 0.0;
                }
                if ( 0.0 > maxSigX )
                {
                    maxSigX = 0.0;
                }
                if ( 0.0 < minSigY )
                {
                    minSigY = 0.0;
                }
                if ( 0.0 > maxSigY )
                {
                    maxSigY = 0.0;
                }

                if ( minSigX != maxSigX )
                {
                    pvplot->setTimeRange( minSigX, maxSigX, false );
                }
                if ( minSigY != maxSigY )
                {
                    pvplot->setSignalAmpl( minSigY, maxSigY, false );
                }
            }
        }
    }
}
