/*
 *  This file is part of the CircAdapt package (see http:/www.circadapt.org)
 *
 *  Copyright (C) 2012 Peacs (www.peacs.nl)
 *
 *  CircAdapt is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  CircAdapt is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CircAdapt.  If not, see <http://www.gnu.org/licenses/>.
 *
 *    Project:              CircAdapt
 *    Compiler:             MinGW, gcc
 *    Tatrget platforms:    WIndows, Mac OS-X
 *
 *
 *    Subversion info:
 *
 *    $Id: psystemview.cpp 776 2013-07-11 20:33:36Z eelco $
 *
 */

#include <QPainter>

#include "psystemview.h"

using namespace Peacs::CircAdapt;

PSystemView::PSystemView(UCirculation &data, QWidget *parent) :
    QWidget( parent ),
    mData(data),
    mSytemImage(":/CircAdapt/icons/Modular design.png")
{

}


PSystemView::~PSystemView( void )
{
}


void PSystemView::paintEvent ( QPaintEvent * event )
{
    QPainter painter;

    painter.begin( this );

    painter.translate( 0, 0 );
    double scale = getScale();
    painter.scale(scale,scale);
    painter.drawImage(QRectF(0,0,mSytemImage.width(),mSytemImage.height()),mSytemImage);
    painter.end();

}

double PSystemView::getScale() const
{
    double scale = 1.0;


    double fx = ((double)width())  / (double)mSytemImage.width();
    double fy = ((double)height()) / (double)mSytemImage.height();

    if ( fx < fy )
    {
        scale = fx;
    }
    else
    {
        scale = fy;
    }

    return scale;

}
