/*
 *  This file is part of the CircAdapt package (see http:/www.circadapt.org)
 *
 *  Copyright (C) 2012 Peacs (www.peacs.nl)
 *
 *  CircAdapt is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  CircAdapt is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CircAdapt.  If not, see <http://www.gnu.org/licenses/>.
 *
 *    Project:              CircAdapt
 *    Compiler:             MinGW, gcc
 *    Tatrget platforms:    WIndows, Mac OS-X
 *
 *
 *    Subversion info:
 *
 *    $Id: psystemview.h 776 2013-07-11 20:33:36Z eelco $
 *
 */

#ifndef __PSYSTEMVIEW_H
#define __PSYSTEMVIEW_H

#include <QWidget>
#include <QImage>

#include "ucirculation.h"

namespace Peacs
{

    namespace CircAdapt
    {
        class PSystemView: public QWidget
        {
            Q_OBJECT

        public:

            explicit PSystemView( UCirculation &data ,QWidget * parent = 0 );


            virtual ~PSystemView( void );

            virtual void paintEvent ( QPaintEvent * event );

        public slots:


        private:
            double getScale() const;

            UCirculation & mData;

            QImage mSytemImage;
        };
    }
}

#endif // __PSYSTEMVIEW_H
