/*
 *  This file is part of the CircAdapt package (see http:/www.circadapt.org)
 *
 *  Copyright (C) 2012 Peacs (www.peacs.nl)
 *
 *  CircAdapt is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  CircAdapt is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CircAdapt.  If not, see <http://www.gnu.org/licenses/>.
 *
 *    Project:              CircAdapt
 *    Compiler:             MinGW, gcc
 *    Tatrget platforms:    WIndows, Mac OS-X
 *
 *
 *    Subversion info:
 *
 *    $Id: ucircelement.cpp 776 2013-07-11 20:33:36Z eelco $
 *
 */

#include <QDebug>
#include "ucircelement.h"


using namespace Peacs::CircAdapt;


const QString CIRCELEMENTNAME     = "Undefined";

// Constructor
UCircElement::UCircElement(const QColor &color):
    QObject(),
    mElementName(CIRCELEMENTNAME),
    mColor(color)
{

}

UCircElement::UCircElement(const QString &name, const QColor &color):
    QObject(),
    mElementName(name),
    mColor(color)
{
}

UCircElement::UCircElement (const UCircElement &element):
    QObject(),
    mElementName(element.mElementName),
    mColor(element.mColor)
{

}

const UCircElement & UCircElement::operator = (const UCircElement &element)
{
    if ( this != &element)
    {
        mElementName = element.mElementName;
        mColor = element.mColor;
    }
    return *this;
}



